// (c) MIT 2003.  All rights reserved.

// $Id: SquareReasoner.java,v 1.5 2003/03/06 00:40:48 moltmans Exp $
// Time-stamp: <2000-03-13 12:18:44 calvarad>
package rec.core.reasoners;



import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.simulate.widgets.*;
import rec.core.widgets.*;

public class SquareReasoner extends Reasoner 
{
  public SquareReasoner()
  {
    super();
  }

  public Iterator getStrongerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.widgets.WSquare" );
    
    return v.iterator();
  }

  public Iterator getWeakerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.core.widgets.WPolygon" );
    v.addElement( "rec.core.widgets.WRectangle" );
    v.addElement( "rec.core.widgets.WCircle" );

    return v.iterator();
  }

  public boolean match( Surface s, Widget stronger, Widget weaker )
  {
    return true;
  }

}
